Bug 97196 - Some Slide transition variant names are duplicated in the drop lists created for groups
Summary: Some Slide transition variant names are duplicated in the drop lists created ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.0.2 rc
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:5.2.0 target:5.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-16 21:21 UTC by V Stuart Foote
Modified: 2016-10-25 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2016-01-16 21:21:16 UTC
in the transitions Cover group: Top left to bottom right and Bottom left to top right names are repeated so missing the opposite Right top and bottom naming.
Comment 1 V Stuart Foote 2016-01-16 21:28:11 UTC
The Diagonal group transitions are likewise afflicted. Duplicate the lefts, missing the rights.
Comment 2 Julien Nabet 2016-01-16 22:14:32 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
Comment 3 Julien Nabet 2016-01-16 23:50:46 UTC
Uncover has a similar problem too.
Comment 4 Julien Nabet 2016-01-16 23:53:17 UTC
Here's the patch on gerrit review for master sources:
https://gerrit.libreoffice.org/#/c/21527/
Comment 5 Commit Notification 2016-01-17 10:31:03 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ecef63a9a020d7996f1c65016e5691dee8b34132

tdf#97196: Slide transition, fix some variant names

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-01-18 14:30:21 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0408ccd7d058ef5d7ed1198b32689b47c2a53b00&h=libreoffice-5-1

tdf#97196: Slide transition, fix some variant names

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Julien Nabet 2016-01-18 14:40:19 UTC
Let's put this one to FIXED then.